import { UserVerificationLevel } from '../enums/user-verifiation-level.enum';
import { IBase } from './base.interface';
import { IContact } from './contact.interface';
import { IPerson } from './person.interface';
import { IRole } from './role.interface';
export interface IUser extends IBase {
    username: string;
    password: string;
    salt: string;
    person: IPerson;
    contacts: IContact[];
    roles: IRole[];
    verificationLevel: UserVerificationLevel;
    invited?: boolean;
}
