import { HydratedDocument } from 'mongoose';
import { IAttachement } from '../../interfaces/attachement.interface';
import { Identifable } from '../identifable.schema';
import { AttachementType } from '../../enums/attachement-type.enum';
import { IFileEmbedded } from '../../interfaces/s3.interface';
export declare class Attachement extends Identifable implements IAttachement {
    type: AttachementType;
    file: IFileEmbedded;
    link: string;
}
export declare const AttachementSchema: import("mongoose").Schema<Attachement, import("mongoose").Model<Attachement, any, any, any, import("mongoose").Document<unknown, any, Attachement> & Attachement & Required<{
    _id: import("mongoose").Types.ObjectId;
}> & {
    __v?: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, Attachement, import("mongoose").Document<unknown, {}, import("mongoose").FlatRecord<Attachement>> & import("mongoose").FlatRecord<Attachement> & Required<{
    _id: import("mongoose").Types.ObjectId;
}> & {
    __v?: number;
}>;
export type AttachementDocument = HydratedDocument<Attachement>;
