import { HydratedDocument, Schema as MongooseSchema, Types } from 'mongoose';
import { IAuthor } from '../../interfaces/author.interface';
export declare class Author implements IAuthor {
    userId: Types.ObjectId | string | null | undefined;
    pid: string | null | undefined;
    firstName: string | null | undefined;
    lastName: string | null | undefined;
}
export declare const AuthorSchema: MongooseSchema<Author, import("mongoose").Model<Author, any, any, any, import("mongoose").Document<unknown, any, Author> & Author & {
    _id: Types.ObjectId;
} & {
    __v?: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, Author, import("mongoose").Document<unknown, {}, import("mongoose").FlatRecord<Author>> & import("mongoose").FlatRecord<Author> & {
    _id: Types.ObjectId;
} & {
    __v?: number;
}>;
export type AuthorDocument = HydratedDocument<Author>;
