import { ContactType } from '../../enums/contact-type.enum';
import { IContact } from '../../interfaces/contact.interface';
import { Identifable } from '../identifable.schema';
import { HydratedDocument } from 'mongoose';
export declare class Contact extends Identifable implements IContact {
    type: ContactType;
    value: string;
    primary: boolean;
    verified: boolean;
}
export declare const ContactSchema: import("mongoose").Schema<Contact, import("mongoose").Model<Contact, any, any, any, import("mongoose").Document<unknown, any, Contact> & Contact & Required<{
    _id: import("mongoose").Types.ObjectId;
}> & {
    __v?: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, Contact, import("mongoose").Document<unknown, {}, import("mongoose").FlatRecord<Contact>> & import("mongoose").FlatRecord<Contact> & Required<{
    _id: import("mongoose").Types.ObjectId;
}> & {
    __v?: number;
}>;
export type ContactDocument = HydratedDocument<Contact>;
