import { HydratedDocument } from 'mongoose';
import { IFileEmbedded } from '../../interfaces/s3.interface';
import { IPicture } from '../../interfaces/picture.interface';
import { ICropArea } from '../../interfaces/crop-area.interface';
export declare class Picture implements IPicture {
    original: IFileEmbedded;
    cropped: IFileEmbedded | null | undefined;
    cropArea: ICropArea | null | undefined;
}
export declare const PictureSchema: import("mongoose").Schema<Picture, import("mongoose").Model<Picture, any, any, any, import("mongoose").Document<unknown, any, Picture> & Picture & {
    _id: import("mongoose").Types.ObjectId;
} & {
    __v?: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, Picture, import("mongoose").Document<unknown, {}, import("mongoose").FlatRecord<Picture>> & import("mongoose").FlatRecord<Picture> & {
    _id: import("mongoose").Types.ObjectId;
} & {
    __v?: number;
}>;
export type PictureDocument = HydratedDocument<Picture>;
