"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PictureSchema = exports.Picture = void 0;
const mongoose_1 = require("@nestjs/mongoose");
const s3_schema_1 = require("./s3.schema");
const crop_area_schema_1 = require("./crop-area.schema");
let Picture = class Picture {
};
exports.Picture = Picture;
__decorate([
    (0, mongoose_1.Prop)({ type: s3_schema_1.FileEmbeddedSchema, required: true, default: null }),
    __metadata("design:type", Object)
], Picture.prototype, "original", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: s3_schema_1.FileEmbeddedSchema, required: false, default: null }),
    __metadata("design:type", Object)
], Picture.prototype, "cropped", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: crop_area_schema_1.CropAreaSchema, required: false, default: null }),
    __metadata("design:type", Object)
], Picture.prototype, "cropArea", void 0);
exports.Picture = Picture = __decorate([
    (0, mongoose_1.Schema)({ _id: false })
], Picture);
exports.PictureSchema = mongoose_1.SchemaFactory.createForClass(Picture);
//# sourceMappingURL=picture.schema.js.map