"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SessionUserSchema = exports.SessionUser = void 0;
const mongoose_1 = require("@nestjs/mongoose");
const user_verifiation_level_enum_1 = require("../../enums/user-verifiation-level.enum");
const contact_schema_1 = require("./contact.schema");
const person_schema_1 = require("./person.schema");
let SessionUser = class SessionUser {
};
exports.SessionUser = SessionUser;
__decorate([
    (0, mongoose_1.Prop)({ required: true, type: String }),
    __metadata("design:type", String)
], SessionUser.prototype, "_id", void 0);
__decorate([
    (0, mongoose_1.Prop)({ required: true, type: String }),
    __metadata("design:type", String)
], SessionUser.prototype, "username", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: person_schema_1.PersonSchema, required: true }),
    __metadata("design:type", Object)
], SessionUser.prototype, "person", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: [contact_schema_1.ContactSchema], required: true, default: [] }),
    __metadata("design:type", Array)
], SessionUser.prototype, "contacts", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: [String], required: true, default: [] }),
    __metadata("design:type", Array)
], SessionUser.prototype, "permissions", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: String, enum: user_verifiation_level_enum_1.UserVerificationLevel, required: true, default: user_verifiation_level_enum_1.UserVerificationLevel.None }),
    __metadata("design:type", String)
], SessionUser.prototype, "verificationLevel", void 0);
exports.SessionUser = SessionUser = __decorate([
    (0, mongoose_1.Schema)({ id: false })
], SessionUser);
exports.SessionUserSchema = mongoose_1.SchemaFactory.createForClass(SessionUser);
//# sourceMappingURL=session-user.schema.js.map