import { HydratedDocument, Schema as MongooseSchema, Types } from 'mongoose';
import { IIdentifable } from '../interfaces/identifable.interface';
export declare class Identifable implements IIdentifable {
    _id: Types.ObjectId;
}
export declare const IdentifableSchema: MongooseSchema<Identifable, import("mongoose").Model<Identifable, any, any, any, import("mongoose").Document<unknown, any, Identifable> & Identifable & Required<{
    _id: Types.ObjectId;
}> & {
    __v?: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, Identifable, import("mongoose").Document<unknown, {}, import("mongoose").FlatRecord<Identifable>> & import("mongoose").FlatRecord<Identifable> & Required<{
    _id: Types.ObjectId;
}> & {
    __v?: number;
}>;
export type IdentifableDocument = HydratedDocument<Identifable>;
