import { GroupState } from '../enums/group-state.enum';
import { IBase } from './base.interface';
import { IDictionary } from './dictionary.interface';
import { IGroupSession } from './group-session.interface';
import { II18n } from './i18n.interface';
import { IStudentEmbedded } from './student-embedded.interface';
import { ITeacher } from './teacher.interface';
export interface IGroup extends IBase {
    teacher: ITeacher;
    students: IStudentEmbedded[];
    sessions: IGroupSession[];
    knowladgeLevels: IDictionary[];
    description: II18n;
    state: GroupState;
    startDate: Date;
    endDate: Date;
}
