"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AttachementSchema = exports.Attachement = void 0;
const mongoose_1 = require("@nestjs/mongoose");
const identifable_schema_1 = require("../identifable.schema");
const attachement_type_enum_1 = require("../../enums/attachement-type.enum");
const s3_schema_1 = require("./s3.schema");
let Attachement = class Attachement extends identifable_schema_1.Identifable {
};
exports.Attachement = Attachement;
__decorate([
    (0, mongoose_1.Prop)({ required: true, enum: attachement_type_enum_1.AttachementType, type: String }),
    __metadata("design:type", String)
], Attachement.prototype, "type", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: s3_schema_1.FileEmbeddedSchema, required: false, default: null }),
    __metadata("design:type", Object)
], Attachement.prototype, "file", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: String, required: false, default: null }),
    __metadata("design:type", String)
], Attachement.prototype, "link", void 0);
exports.Attachement = Attachement = __decorate([
    (0, mongoose_1.Schema)({ _id: false })
], Attachement);
exports.AttachementSchema = mongoose_1.SchemaFactory.createForClass(Attachement);
//# sourceMappingURL=attachement.schema.js.map