import { HydratedDocument } from 'mongoose';
import { Identifable } from '../identifable.schema';
import { IGroupSession, ITime } from '../../interfaces/group-session.interface';
import { WeekDay } from '../../enums/week-day.enum';
import { II18n } from '../../interfaces/i18n.interface';
export declare class GroupSession extends Identifable implements IGroupSession {
    description: II18n;
    day: WeekDay;
    time: ITime;
}
export declare const GroupSessionSchema: import("mongoose").Schema<GroupSession, import("mongoose").Model<GroupSession, any, any, any, import("mongoose").Document<unknown, any, GroupSession> & GroupSession & Required<{
    _id: import("mongoose").Types.ObjectId;
}> & {
    __v?: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, GroupSession, import("mongoose").Document<unknown, {}, import("mongoose").FlatRecord<GroupSession>> & import("mongoose").FlatRecord<GroupSession> & Required<{
    _id: import("mongoose").Types.ObjectId;
}> & {
    __v?: number;
}>;
export type GroupSessionDocument = HydratedDocument<GroupSession>;
