"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformers = void 0;
const helper_utils_1 = require("../utils/helper.utils");
const stringArray = (params) => {
    return (0, helper_utils_1.toStringArray)(params.value);
};
const mongoId = (params) => {
    return (0, helper_utils_1.toMongoId)(params.value);
};
const mongoIdArray = (params) => {
    return (0, helper_utils_1.toMongoIdArray)(params.value);
};
const boolean = (params) => {
    return (0, helper_utils_1.toBoolean)(params.value);
};
const int32 = (params) => {
    return (0, helper_utils_1.toInt32)(params.value);
};
const transformers = {
    stringArray,
    mongoId,
    mongoIdArray,
    boolean,
    int32,
};
exports.transformers = transformers;
//# sourceMappingURL=common.transformer.js.map