import { Types } from 'mongoose';
import { IBase } from './base.interface';
import { II18n } from './i18n.interface';

export interface IDictionary extends IBase {
    keyword: string;
    parentIds: Types.ObjectId[] | string[];
    title: II18n;
    metas: Map<string, string>;
}
